Developers

Reschedule appointment

Reschedule a booked appointment to a new time slot

POST/appointments/{appointment_id}/reschedule/

Reschedule a booked appointment to a new time slot

Authorization

HTTPBearer XDoctronicUserID
AuthorizationBearer <token>

In: header

X-Doctronic-User-ID<token>

Doctronic user ID returned as data.id by POST /users/. This value identifies the user in your organization scope; it is not an API token.

In: header

Path Parameters

appointment_id*string

Header Parameters

Idempotency-Key?string

Unique key for safely retrying this mutation for 24 hours. Reuse the same key only with the same request payload.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/appointments/string/reschedule/" \  -H "Content-Type: application/json" \  -d '{    "startsAt": "2019-08-24T14:15:22Z",    "location": {      "state": "AK"    }  }'
{  "code": "success",  "message": "Request successful",  "data": null}